LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XObjectInspectorUI Interface Reference

grants access to certain aspects of the user interface of an object inspector More...

`import"XObjectInspectorUI.idl";`

## Public Member Functions
void | enablePropertyUI ([in] string PropertyName, [in] boolean Enable)
| enables or disables all components belonging to the UI representation of a property More...
void | enablePropertyUIElements ([in] string PropertyName, [in] short Elements, [in] boolean Enable)
| enables or disables the single elements which can be part of the UI representation of a property More...
void | rebuildPropertyUI ([in] string PropertyName)
| completely rebuilds the UI for the given property. More...
void | showPropertyUI ([in] string PropertyName)
| shows the UI for a given property More...
void | hidePropertyUI ([in] string PropertyName)
| hides the UI for a given property More...
void | showCategory ([in] string Category, [in] boolean Show)
| shows or hides all properties belonging to a given category More...
XPropertyControl | getPropertyControl ([in] string PropertyName)
| retrieves the control currently used to display a given property More...
void | registerControlObserver ([in] XPropertyControlObserver Observer)
| registers an observer for all property controls More...
void | revokeControlObserver ([in] XPropertyControlObserver Observer)
| revokes a previously registered control observer More...
void | setHelpSectionText ([in] string HelpText) raises ( ::com::sun::star::lang::NoSupportException )
| sets the text of the help section, if the object inspector contains one. More...

## Detailed Description

grants access to certain aspects of the user interface of an object inspector

This interface is used as callback for XPropertyHandlers.

As a consequence, methods operating on the UI for a property, and taking the name of this property, are tolerant against properties which do not exist. For instance, if a property handler tries to disable the UI for property `Foo`, but another handler has superseded this property, then the ObjectInspector will not have any UI for it. In this case, the call to `enablePropertyUI( "Foo" )` will simply be ignored.

Since
  OOo 2.0.3

## Member Function Documentation

## ◆ enablePropertyUI()

void enablePropertyUI | ( | [in] string | PropertyName,
|  | [in] boolean | Enable
| ) |  |

enables or disables all components belonging to the UI representation of a property

This is usually used by an XPropertyHandler if it handles properties, where one does only make sense if another one has a certain value.

Parameters

  PropertyName | denotes the name of the property whose UI is to be enabled or disabled.
  Enable | `TRUE` if and only if the UI should be disabled, `FALSE` otherwise.

## ◆ enablePropertyUIElements()

void enablePropertyUIElements | ( | [in] string | PropertyName,
|  | [in] short | Elements,
|  | [in] boolean | Enable
| ) |  |

enables or disables the single elements which can be part of the UI representation of a property

Note that the complete UI for the property must be enabled in order for these settings to be evaluated. That is, enablePropertyUIElements() does not have any effect if somebody previously disabled the complete UI for this property with enablePropertyUI().

Parameters

  PropertyName | the name of the property whose user interface elements are to be enabled or disabled
  Elements | a combination of PropertyLineElement flags specifying which elements are to be enabled or disabled. Note that if you don't set a particular bit here (say, PropertyLineElement::PrimaryButton), this does mean that this element's state is not affected by the call - it does not mean that it is disabled.
  Enable | `TRUE` if the elements denoted by _nElements should be enabled, `FALSE` if they should be disabled.

## ◆ getPropertyControl()

XPropertyControl getPropertyControl | ( | [in] string | PropertyName | ) |

retrieves the control currently used to display a given property

Parameters

  PropertyName | the name of the property whose control should be retrieved

Returns
  the XPropertyControl representing the given property, or `NULL` if there is no such property control.

## ◆ hidePropertyUI()

void hidePropertyUI | ( | [in] string | PropertyName | ) |

hides the UI for a given property

Parameters

  PropertyName | the name of the property whose UI is to be hidden

## ◆ rebuildPropertyUI()

void rebuildPropertyUI | ( | [in] string | PropertyName | ) |

completely rebuilds the UI for the given property.

This method might be used by an XPropertyHandler if it wants to change the type of control (see PropertyControlType) used to display a certain property.

The object inspector will then call describePropertyLine again, and update its UI accordingly.

Note that the property whose UI should be rebuilt must not necessarily be (though usually is) in the responsibility of the handler which calls this method. The object inspector will look up the handler with the responsibility for PropertyName and call its XPropertyHandler::describePropertyLine()

Parameters

  PropertyName | the name of the property whose UI is to be completely rebuilt.

## ◆ registerControlObserver()

void registerControlObserver | ( | [in] XPropertyControlObserver | Observer | ) |

registers an observer for all property controls

The given XPropertyControlObserver will be notified of all changes in all property controls.

See also
  revokeControlObserver

Since
  OOo 2.2

## ◆ revokeControlObserver()

void revokeControlObserver | ( | [in] XPropertyControlObserver | Observer | ) |

revokes a previously registered control observer

See also
  registerControlObserver

Since
  OOo 2.2

## ◆ setHelpSectionText()

void setHelpSectionText | ( | [in] string | HelpText | ) |
raises | ( | ::com::sun::star::lang::NoSupportException
| ) |  |

sets the text of the help section, if the object inspector contains one.

Exceptions

  NoSupportException | if the XObjectInspectorModel::HasHelpSection property requires the help section to be unavailable.

Since
  OOo 2.2

## ◆ showCategory()

void showCategory | ( | [in] string | Category,
|  | [in] boolean | Show
| ) |  |

shows or hides all properties belonging to a given category

See also
  LineDescriptor::Category
  XObjectInspectorModel::describeCategories

## ◆ showPropertyUI()

void showPropertyUI | ( | [in] string | PropertyName | ) |

shows the UI for a given property

Parameters

  PropertyName | the name of the property whose UI is to be shown

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XObjectInspectorUI.idl